

// 1. Цикли це спосіб зробити якусь дію n-ну кількість разів. Щоб не копіювати код n-ну кількість разів який виконує
// один і той же шматок коду використовують цикли.

// 2. Використовував такі цикли: 
// * while - виконується до тих пір поки умова є вірною (істинною). Цикл працює поки виконується умова.
// * for - виконується до тих пір поки не виконається умова. Даний цикл використовують коли відома кількість ітерацій 
// які потрібно виконати.
// * do while - виконується хоча б один раз. Далі перевіряється умова, якщо умова є вірною, цикл повторюється поки умова виконується.

// 3. В явному перетворенні порівнюються операнди однакові за типами данних.  
// В неявному перетворенні порівнюються операнди різні за типами данних. 

  

let userNumber = prompt("Enter the number");
while (userNumber != +userNumber) {
    userNumber = prompt("Please, enter the number again");
}   
if (userNumber < 5) {
    console.log("Sorry, no numbers");
}
for( let i = 1; i <= userNumber; i++) {
    if ( i % 5 !== 0 ) {continue}
    console.log(i);
}
   




















